<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Technofreak</Series>
  <Number>2</Number>
  <Web>https://www.comixology.com/Technofreak-2/digital-comic/971675</Web>
  <Summary>In The Dame and the Damned, it turns out Jon Sherlok isn't the last TechnoFreak alive... Can he save another survivor? Jon and Maurice, the metal moggy, face the vicious sneering evil of Felix Scrutner, creator of the TechnoFreak technology in deepest, darkest, Dorking! All this, and the clone Lorettas sing a happy song. America loved issue one, and issue two is even better. It's sexy, sassy fun from merry olde England. What more could you ask for? This one will fly off the shelves.

TechnoFreak: It ain't Marvel and it ain't P.C.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB971675], [ASINB09HYPSY8G]</Notes>
  <Publisher>American Mythology Productions</Publisher>
  <Genre>Science Fiction, Post-Apocalyptic</Genre>
  <PageCount>40</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
